---
# Cop supports --autocorrect.
RSpec/ReceiveMessages:
  Exclude:
    - 'ee/spec/bin/custom_ability_spec.rb'
    - 'ee/spec/controllers/concerns/analytics/cycle_analytics/value_stream_actions_spec.rb'
    - 'ee/spec/controllers/concerns/audit_events/audit_events_params_spec.rb'
    - 'ee/spec/controllers/ee/search_controller_spec.rb'
    - 'ee/spec/controllers/oauth/geo_auth_controller_spec.rb'
    - 'ee/spec/controllers/projects_controller_spec.rb'
    - 'ee/spec/features/admin/admin_audit_logs_spec.rb'
    - 'ee/spec/features/admin/groups/admin_subscription_alerts_spec.rb'
    - 'ee/spec/features/groups/iterations/user_edits_iteration_cadence_spec.rb'
    - 'ee/spec/features/projects/new_project_spec.rb'
    - 'ee/spec/features/projects/settings/ee/service_desk_setting_spec.rb'
    - 'ee/spec/features/search/elastic/project_search_spec.rb'
    - 'ee/spec/finders/security/security_policies_finder_spec.rb'
    - 'ee/spec/frontend/fixtures/epic.rb'
    - 'ee/spec/graphql/resolvers/epic_issues_resolver_spec.rb'
    - 'ee/spec/graphql/types/project_type_spec.rb'
    - 'ee/spec/helpers/billing_plans_helper_spec.rb'
    - 'ee/spec/helpers/ee/ci/pipeline_editor_helper_spec.rb'
    - 'ee/spec/helpers/ee/geo_helper_spec.rb'
    - 'ee/spec/helpers/ee/groups_helper_spec.rb'
    - 'ee/spec/helpers/ee/ide_helper_spec.rb'
    - 'ee/spec/helpers/ee/issuables_helper_spec.rb'
    - 'ee/spec/helpers/ee/issues_helper_spec.rb'
    - 'ee/spec/helpers/ee/lock_helper_spec.rb'
    - 'ee/spec/helpers/ee/namespaces_helper_spec.rb'
    - 'ee/spec/helpers/ee/registrations_helper_spec.rb'
    - 'ee/spec/helpers/ee/subscribable_banner_helper_spec.rb'
    - 'ee/spec/helpers/ee/users/callouts_helper_spec.rb'
    - 'ee/spec/helpers/gitlab_subscriptions/trials_helper_spec.rb'
    - 'ee/spec/helpers/groups/security_features_helper_spec.rb'
    - 'ee/spec/helpers/license_helper_spec.rb'
    - 'ee/spec/helpers/license_monitoring_helper_spec.rb'
    - 'ee/spec/helpers/nav/new_dropdown_helper_spec.rb'
    - 'ee/spec/helpers/projects/project_members_helper_spec.rb'
    - 'ee/spec/helpers/projects_helper_spec.rb'
    - 'ee/spec/helpers/routing/pseudonymization_helper_spec.rb'
    - 'ee/spec/helpers/sidebars_helper_spec.rb'
    - 'ee/spec/helpers/subscriptions_helper_spec.rb'
    - 'ee/spec/helpers/tree_helper_spec.rb'
    - 'ee/spec/helpers/trial_registrations_helper_spec.rb'
    - 'ee/spec/helpers/users/identity_verification_helper_spec.rb'
    - 'ee/spec/helpers/users_helper_spec.rb'
    - 'ee/spec/helpers/vulnerabilities_helper_spec.rb'
    - 'ee/spec/lib/arkose/verify_response_spec.rb'
    - 'ee/spec/lib/audit_events/strategies/external_destination_strategy_spec.rb'
    - 'ee/spec/lib/ee/gitlab/auth/request_authenticator_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/parsers/security/common_spec.rb'
    - 'ee/spec/lib/ee/gitlab/ci/parsers/security/validators/schema_validator_spec.rb'
    - 'ee/spec/lib/ee/gitlab/gon_helper_spec.rb'
    - 'ee/spec/lib/ee/gitlab/rack_attack/request_spec.rb'
    - 'ee/spec/lib/ee/web_ide/settings/extensions_gallery_metadata_generator_spec.rb'
    - 'ee/spec/lib/elastic/latest/custom_language_analyzers_spec.rb'
    - 'ee/spec/lib/elastic/latest/git_instance_proxy_spec.rb'
    - 'ee/spec/lib/elastic/multi_version_class_proxy_spec.rb'
    - 'ee/spec/lib/elastic/multi_version_instance_proxy_spec.rb'
    - 'ee/spec/lib/gitlab/ai_gateway_spec.rb'
    - 'ee/spec/lib/gitlab/com_spec.rb'
    - 'ee/spec/lib/gitlab/duo/chat/request_spec.rb'
    - 'ee/spec/lib/gitlab/duo/chat/step_executor_spec.rb'
    - 'ee/spec/lib/gitlab/duo/developments/setup_groups_for_model_evaluation_spec.rb'
    - 'ee/spec/lib/gitlab/experiment_feature_rollout_spec.rb'
    - 'ee/spec/lib/gitlab/expiring_subscription_message_spec.rb'
    - 'ee/spec/lib/gitlab/geo/geo_tasks_spec.rb'
    - 'ee/spec/lib/gitlab/geo/health_check_spec.rb'
    - 'ee/spec/lib/gitlab/geo/log_cursor/daemon_spec.rb'
    - 'ee/spec/lib/gitlab/geo/log_cursor/lease_spec.rb'
    - 'ee/spec/lib/gitlab/git_access_spec.rb'
    - 'ee/spec/lib/gitlab/llm/chain/tools/epic_reader/executor_spec.rb'
    - 'ee/spec/lib/gitlab/llm/vertex_ai/client_spec.rb'
    - 'ee/spec/lib/gitlab/mirror_spec.rb'
    - 'ee/spec/lib/gitlab/vulnerability_scanning/finding_builder_spec.rb'
    - 'ee/spec/lib/google_cloud/artifact_registry/client_spec.rb'
    - 'ee/spec/lib/omni_auth/strategies/group_saml_spec.rb'
    - 'ee/spec/lib/sidebars/groups/super_sidebar_panel_spec.rb'
    - 'ee/spec/lib/sidebars/projects/super_sidebar_panel_spec.rb'
    - 'ee/spec/lib/system_check/geo/database_replication_working_check_spec.rb'
    - 'ee/spec/lib/system_check/geo/license_check_spec.rb'
    - 'ee/spec/migrations/geo/resync_direct_upload_job_artifact_registry_spec.rb'
    - 'ee/spec/models/approval_state_spec.rb'
    - 'ee/spec/models/ci/build_spec.rb'
    - 'ee/spec/models/ci/pipeline_spec.rb'
    - 'ee/spec/models/concerns/ee/participable_spec.rb'
    - 'ee/spec/models/concerns/identity_verifiable_spec.rb'
    - 'ee/spec/models/dast_scanner_profile_spec.rb'
    - 'ee/spec/models/dast_site_profile_spec.rb'
    - 'ee/spec/models/ee/group_spec.rb'
    - 'ee/spec/models/ee/integrations/jira_spec.rb'
    - 'ee/spec/models/ee/namespace_spec.rb'
    - 'ee/spec/models/ee/project_spec.rb'
    - 'ee/spec/models/ee/user_spec.rb'
    - 'ee/spec/models/elastic/migration_record_spec.rb'
    - 'ee/spec/models/group_wiki_spec.rb'
    - 'ee/spec/models/issue_spec.rb'
    - 'ee/spec/models/license_spec.rb'
    - 'ee/spec/models/merge_request_spec.rb'
    - 'ee/spec/models/merge_trains/train_spec.rb'
    - 'ee/spec/models/namespace_setting_spec.rb'
    - 'ee/spec/models/namespaces/storage/enforcement_spec.rb'
    - 'ee/spec/models/project_feature_spec.rb'
    - 'ee/spec/models/security/scan_result_policy_read_spec.rb'
    - 'ee/spec/policies/issue_policy_spec.rb'
    - 'ee/spec/presenters/ci/minutes/usage_presenter_spec.rb'
    - 'ee/spec/presenters/merge_request_approver_presenter_spec.rb'
    - 'ee/spec/presenters/merge_request_presenter_spec.rb'
    - 'ee/spec/replicators/geo/container_repository_replicator_spec.rb'
    - 'ee/spec/requests/api/code_suggestions_spec.rb'
    - 'ee/spec/requests/api/graphql/audit_events/streaming/instance_headers/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/amazon_s3_configurations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/amazon_s3_configurations/delete_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/amazon_s3_configurations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/google_cloud_logging_configurations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/google_cloud_logging_configurations/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/google_cloud_logging_configurations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/group/audit_event_streaming_destinations/delete_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/group/audit_event_streaming_destinations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/amazon_s3_configurations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/amazon_s3_configurations/delete_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/amazon_s3_configurations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/audit_event_streaming_destinations/delete_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/audit_event_streaming_destinations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/google_cloud_logging_configurations/create_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/google_cloud_logging_configurations/destroy_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/audit_events/instance/google_cloud_logging_configurations/update_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/security/configuration/project_security_exclusion_delete_spec.rb'
    - 'ee/spec/requests/api/graphql/mutations/work_items/update_spec.rb'
    - 'ee/spec/requests/api/internal/ai/x_ray/scan_spec.rb'
    - 'ee/spec/requests/api/internal/observability_spec.rb'
    - 'ee/spec/requests/api/project_mirror_spec.rb'
    - 'ee/spec/requests/api/search_spec.rb'
    - 'ee/spec/requests/api/vulnerabilities_spec.rb'
    - 'ee/spec/requests/phone_verification/telesign_callbacks_controller_spec.rb'
    - 'ee/spec/requests/users/identity_verification_controller_spec.rb'
    - 'ee/spec/serializers/issues/linked_issue_feature_flag_entity_spec.rb'
    - 'ee/spec/serializers/linked_feature_flag_issue_entity_spec.rb'
    - 'ee/spec/services/analytics/value_stream_dashboard/top_level_group_counter_service_spec.rb'
    - 'ee/spec/services/app_sec/dast/site_validations/runner_service_spec.rb'
    - 'ee/spec/services/ci/retry_pipeline_service_spec.rb'
    - 'ee/spec/services/ci/runners/reset_registration_token_service_spec.rb'
    - 'ee/spec/services/compliance_management/frameworks/update_project_service_spec.rb'
    - 'ee/spec/services/ee/ci/job_token_scope/remove_group_service_spec.rb'
    - 'ee/spec/services/ee/ci/job_token_scope/remove_project_service_spec.rb'
    - 'ee/spec/services/ee/issues/move_service_spec.rb'
    - 'ee/spec/services/ee/merge_requests/after_create_service_spec.rb'
    - 'ee/spec/services/ee/post_receive_service_spec.rb'
    - 'ee/spec/services/ee/spam/spam_verdict_service_spec.rb'
    - 'ee/spec/services/ee/work_items/related_work_item_links/create_service_spec.rb'
    - 'ee/spec/services/epic_issues/create_service_spec.rb'
    - 'ee/spec/services/geo/container_repository_sync_spec.rb'
    - 'ee/spec/services/geo/framework_repository_sync_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/create_service_spec.rb'
    - 'ee/spec/services/incident_management/incidents/create_sla_service_spec.rb'
    - 'ee/spec/services/member_roles/delete_service_spec.rb'
    - 'ee/spec/services/member_roles/update_service_spec.rb'
    - 'ee/spec/services/merge_requests/merge_service_spec.rb'
    - 'ee/spec/services/merge_requests/mergeability/check_jira_status_service_spec.rb'
    - 'ee/spec/services/merge_requests/mergeability/check_path_locks_service_spec.rb'
    - 'ee/spec/services/resource_access_tokens/create_service_spec.rb'
    - 'ee/spec/services/search/elastic/cluster_reindexing_service_spec.rb'
    - 'ee/spec/services/search/project_service_spec.rb'
    - 'ee/spec/services/search_service_spec.rb'
    - 'ee/spec/services/security/orchestration/assign_service_spec.rb'
    - 'ee/spec/services/security/scan_result_policies/generate_policy_violation_comment_service_spec.rb'
    - 'ee/spec/services/security/training_providers/base_url_service_spec.rb'
    - 'ee/spec/services/status_page/publish_details_service_spec.rb'
    - 'ee/spec/services/users/email_verification/send_custom_confirmation_instructions_service_spec.rb'
    - 'ee/spec/services/vulnerabilities/findings/find_or_create_from_security_finding_service_spec.rb'
    - 'ee/spec/services/vulnerability_external_issue_links/create_service_spec.rb'
    - 'ee/spec/services/work_items/parent_links/create_service_spec.rb'
    - 'ee/spec/support/helpers/ee/geo_helpers.rb'
    - 'ee/spec/support/shared_contexts/requests/api/graphql/security_orchestration/policies_shared_contexts.rb'
    - 'ee/spec/support/shared_contexts/secrets_check_shared_contexts.rb'
    - 'ee/spec/support/shared_examples/controllers/namespace_storage_limit_alert_shared_examples.rb'
    - 'ee/spec/support/shared_examples/elastic/migration_shared_examples.rb'
    - 'ee/spec/support/shared_examples/graphql/mutations/work_items/update_status_widget_shared_examples.rb'
    - 'ee/spec/support/shared_examples/graphql/mutations/work_items/update_weight_widget_shared_examples.rb'
    - 'ee/spec/support/shared_examples/graphql/resolvers/security_orchestration/resolves_orchestration_policy_shared_examples.rb'
    - 'ee/spec/support/shared_examples/models/concerns/blob_replicator_strategy_shared_examples.rb'
    - 'ee/spec/support/shared_examples/models/concerns/repository_replicator_strategy_shared_examples.rb'
    - 'ee/spec/support/shared_examples/models/concerns/verifiable_replicator_shared_examples.rb'
    - 'ee/spec/support/shared_examples/services/audit_events/streaming/headers_operations_shared_examples.rb'
    - 'ee/spec/support/shared_examples/services/base_sync_service_shared_examples.rb'
    - 'ee/spec/views/admin/application_settings/_elasticsearch_form.html.haml_spec.rb'
    - 'ee/spec/views/admin/dashboard/index.html.haml_spec.rb'
    - 'ee/spec/views/devise/registrations/new.html.haml_spec.rb'
    - 'ee/spec/views/devise/sessions/new.html.haml_spec.rb'
    - 'ee/spec/views/groups/billings/index.html.haml_spec.rb'
    - 'ee/spec/views/groups/early_access_opt_in/show.html.haml_spec.rb'
    - 'ee/spec/views/groups/group_members/index.html.haml_spec.rb'
    - 'ee/spec/views/groups/settings/_enforce_ssh_certificates.html.haml_spec.rb'
    - 'ee/spec/views/groups/settings/_permissions.html.haml_spec.rb'
    - 'ee/spec/views/groups/settings/roles_and_permissions/show.html.haml_spec.rb'
    - 'ee/spec/views/layouts/_page.html.haml_spec.rb'
    - 'ee/spec/views/layouts/application.html.haml_spec.rb'
    - 'ee/spec/views/layouts/header/_ee_subscribable_banner.html.haml_spec.rb'
    - 'ee/spec/views/projects/project_members/index.html.haml_spec.rb'
    - 'ee/spec/views/projects/settings/merge_requests/_suggested_reviewers_settings.html.haml_spec.rb'
    - 'ee/spec/views/registrations/groups/new.html.haml_spec.rb'
    - 'ee/spec/views/registrations/welcome/show.html.haml_spec.rb'
    - 'ee/spec/views/search/results/_issuable.html.haml_spec.rb'
    - 'ee/spec/views/shared/billings/_billing_plan_actions.html.haml_spec.rb'
    - 'ee/spec/views/shared/billings/_billing_plans.html.haml_spec.rb'
    - 'ee/spec/views/shared/credentials_inventory/ssh_keys/_ssh_key.html.haml_spec.rb'
    - 'ee/spec/views/shared/milestones/_milestone.html.haml_spec.rb'
    - 'ee/spec/views/trial_registrations/new.html.haml_spec.rb'
    - 'ee/spec/workers/active_user_count_threshold_worker_spec.rb'
    - 'ee/spec/workers/anti_abuse/new_abuse_report_worker_spec.rb'
    - 'qa/spec/page/logging_spec.rb'
    - 'qa/spec/resource/base_spec.rb'
    - 'qa/spec/resource/events/project_spec.rb'
    - 'qa/spec/scenario/template_spec.rb'
    - 'qa/spec/support/page_error_checker_spec.rb'
    - 'qa/spec/support/wait_for_requests_spec.rb'
    - 'qa/spec/tools/test_resources_data_processor_spec.rb'
    - 'spec/bin/audit_event_type_spec.rb'
    - 'spec/bin/feature_flag_spec.rb'
    - 'spec/bin/saas_feature_spec.rb'
    - 'spec/commands/sidekiq_cluster/cli_spec.rb'
    - 'spec/components/diffs/overflow_warning_component_spec.rb'
    - 'spec/components/rapid_diffs/diff_file_component_spec.rb'
    - 'spec/components/rapid_diffs/diff_file_header_component_spec.rb'
    - 'spec/controllers/application_controller_spec.rb'
    - 'spec/controllers/concerns/issuable_collections_spec.rb'
    - 'spec/controllers/concerns/kas_cookie_spec.rb'
    - 'spec/controllers/concerns/send_file_upload_spec.rb'
    - 'spec/controllers/concerns/sorting_preference_spec.rb'
    - 'spec/controllers/help_controller_spec.rb'
    - 'spec/controllers/import/bulk_imports_controller_spec.rb'
    - 'spec/controllers/import/github_controller_spec.rb'
    - 'spec/controllers/jira_connect/events_controller_spec.rb'
    - 'spec/controllers/projects/artifacts_controller_spec.rb'
    - 'spec/controllers/projects/branches_controller_spec.rb'
    - 'spec/controllers/projects/error_tracking_controller_spec.rb'
    - 'spec/controllers/projects/merge_requests/drafts_controller_spec.rb'
    - 'spec/features/admin/admin_projects_spec.rb'
    - 'spec/features/admin/admin_system_info_spec.rb'
    - 'spec/features/clusters/create_agent_spec.rb'
    - 'spec/features/issues/move_spec.rb'
    - 'spec/features/issues/service_desk_spec.rb'
    - 'spec/features/merge_request/user_comments_on_merge_request_spec.rb'
    - 'spec/features/projects/artifacts/user_browses_artifacts_spec.rb'
    - 'spec/features/projects/settings/service_desk_setting_spec.rb'
    - 'spec/features/projects/sourcegraph_csp_spec.rb'
    - 'spec/features/sentry_js_spec.rb'
    - 'spec/graphql/mutations/alert_management/update_alert_status_spec.rb'
    - 'spec/graphql/resolvers/concerns/caching_array_resolver_spec.rb'
    - 'spec/helpers/blob_helper_spec.rb'
    - 'spec/helpers/ci/pipeline_editor_helper_spec.rb'
    - 'spec/helpers/diff_helper_spec.rb'
    - 'spec/helpers/dropdowns_helper_spec.rb'
    - 'spec/helpers/emails_helper_spec.rb'
    - 'spec/helpers/environment_helper_spec.rb'
    - 'spec/helpers/environments_helper_spec.rb'
    - 'spec/helpers/feature_flags_helper_spec.rb'
    - 'spec/helpers/feed_token_helper_spec.rb'
    - 'spec/helpers/groups_helper_spec.rb'
    - 'spec/helpers/ide_helper_spec.rb'
    - 'spec/helpers/integrations_helper_spec.rb'
    - 'spec/helpers/issuables_description_templates_helper_spec.rb'
    - 'spec/helpers/issuables_helper_spec.rb'
    - 'spec/helpers/issues_helper_spec.rb'
    - 'spec/helpers/merge_requests_helper_spec.rb'
    - 'spec/helpers/nav_helper_spec.rb'
    - 'spec/helpers/preferences_helper_spec.rb'
    - 'spec/helpers/projects_helper_spec.rb'
    - 'spec/helpers/sidebars_helper_spec.rb'
    - 'spec/helpers/sourcegraph_helper_spec.rb'
    - 'spec/helpers/submodule_helper_spec.rb'
    - 'spec/helpers/tree_helper_spec.rb'
    - 'spec/helpers/users_helper_spec.rb'
    - 'spec/helpers/vite_helper_spec.rb'
    - 'spec/helpers/webpack_helper_spec.rb'
    - 'spec/helpers/work_items_helper_spec.rb'
    - 'spec/initializers/100_patch_omniauth_saml_spec.rb'
    - 'spec/initializers/8_devise_spec.rb'
    - 'spec/initializers/carrierwave_s3_encryption_headers_patch_spec.rb'
    - 'spec/initializers/doorkeeper_spec.rb'
    - 'spec/initializers/google_cloud_profiler_spec.rb'
    - 'spec/keeps/delete_old_feature_flags_spec.rb'
    - 'spec/lib/api/helpers/packages_helpers_spec.rb'
    - 'spec/lib/api/helpers_spec.rb'
    - 'spec/lib/atlassian/jira_connect/client_spec.rb'
    - 'spec/lib/atlassian/jira_connect/serializers/deployment_entity_spec.rb'
    - 'spec/lib/backup/manager_spec.rb'
    - 'spec/lib/backup/targets/files_spec.rb'
    - 'spec/lib/banzai/cross_project_reference_spec.rb'
    - 'spec/lib/banzai/renderer_spec.rb'
    - 'spec/lib/bulk_imports/ndjson_pipeline_spec.rb'
    - 'spec/lib/bulk_imports/projects/pipelines/merge_requests_pipeline_spec.rb'
    - 'spec/lib/gitaly/server_spec.rb'
    - 'spec/lib/gitlab/audit/null_author_spec.rb'
    - 'spec/lib/gitlab/auth/o_auth/user_spec.rb'
    - 'spec/lib/gitlab/auth/request_authenticator_spec.rb'
    - 'spec/lib/gitlab/auth/two_factor_auth_verifier_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/importers/issues_importer_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/importers/pull_requests_importer_spec.rb'
    - 'spec/lib/gitlab/bitbucket_import/parallel_scheduling_spec.rb'
    - 'spec/lib/gitlab/cache/ci/project_pipeline_status_spec.rb'
    - 'spec/lib/gitlab/checks/integrations/beyond_identity_check_spec.rb'
    - 'spec/lib/gitlab/ci/build/rules/rule/clause/changes_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/context_spec.rb'
    - 'spec/lib/gitlab/ci/config/external/rules_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/sbom/cyclonedx_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/security/common_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/chain/validate/external_spec.rb'
    - 'spec/lib/gitlab/ci/runner_releases_spec.rb'
    - 'spec/lib/gitlab/ci/variables/downstream/generator_spec.rb'
    - 'spec/lib/gitlab/config/entry/validator_spec.rb'
    - 'spec/lib/gitlab/config_checker/external_database_checker_spec.rb'
    - 'spec/lib/gitlab/content_security_policy/config_loader_spec.rb'
    - 'spec/lib/gitlab/cross_project_access/check_collection_spec.rb'
    - 'spec/lib/gitlab/database/async_indexes/index_base_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/connection_proxy_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/load_balancer_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/service_discovery_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/session_map_spec.rb'
    - 'spec/lib/gitlab/database/load_balancing/sidekiq_client_middleware_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/convert_to_bigint_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/wraparound_autovacuum_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers/wraparound_vacuum_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/background_migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/batched_background_migration_helpers_spec.rb'
    - 'spec/lib/gitlab/database/migrations/constraints_helpers_spec.rb'
    - 'spec/lib/gitlab/database/partitioning_migration_helpers/table_management_helpers_spec.rb'
    - 'spec/lib/gitlab/database/query_analyzer_spec.rb'
    - 'spec/lib/gitlab/database/query_analyzers/log_large_in_lists_spec.rb'
    - 'spec/lib/gitlab/database/reindexing_spec.rb'
    - 'spec/lib/gitlab/database/schema_migrations/migrations_spec.rb'
    - 'spec/lib/gitlab/database/tables_truncate_spec.rb'
    - 'spec/lib/gitlab/diff/file_spec.rb'
    - 'spec/lib/gitlab/experiment_feature_rollout_spec.rb'
    - 'spec/lib/gitlab/external_authorization/access_spec.rb'
    - 'spec/lib/gitlab/gitaly_client/with_feature_flag_actors_spec.rb'
    - 'spec/lib/gitlab/gitaly_client_spec.rb'
    - 'spec/lib/gitlab/github_gists_import/importer/gist_importer_spec.rb'
    - 'spec/lib/gitlab/github_import/client_spec.rb'
    - 'spec/lib/gitlab/github_import/parallel_scheduling_spec.rb'
    - 'spec/lib/gitlab/gon_helper_spec.rb'
    - 'spec/lib/gitlab/import_export/after_export_strategies/web_upload_strategy_spec.rb'
    - 'spec/lib/gitlab/import_export/importer_spec.rb'
    - 'spec/lib/gitlab/import_export/repo_restorer_spec.rb'
    - 'spec/lib/gitlab/import_export/snippet_repo_restorer_spec.rb'
    - 'spec/lib/gitlab/internal_events/event_definitions_spec.rb'
    - 'spec/lib/gitlab/kas/client_spec.rb'
    - 'spec/lib/gitlab/metrics/exporter/base_exporter_spec.rb'
    - 'spec/lib/gitlab/metrics/global_search_slis_spec.rb'
    - 'spec/lib/gitlab/metrics/rails_slis_spec.rb'
    - 'spec/lib/gitlab/metrics/requests_rack_middleware_spec.rb'
    - 'spec/lib/gitlab/metrics/samplers/action_cable_sampler_spec.rb'
    - 'spec/lib/gitlab/pages/deployment_validations_spec.rb'
    - 'spec/lib/gitlab/pages/settings_spec.rb'
    - 'spec/lib/gitlab/pagination/offset_pagination_spec.rb'
    - 'spec/lib/gitlab/rack_attack/request_spec.rb'
    - 'spec/lib/gitlab/request_forgery_protection_spec.rb'
    - 'spec/lib/gitlab/runtime_spec.rb'
    - 'spec/lib/gitlab/search_context/builder_spec.rb'
    - 'spec/lib/gitlab/shell_spec.rb'
    - 'spec/lib/gitlab/sidekiq_config_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/strategies/until_executed_spec.rb'
    - 'spec/lib/gitlab/spamcheck/client_spec.rb'
    - 'spec/lib/gitlab/tracking/event_validator_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/hll_redis_counter_spec.rb'
    - 'spec/lib/gitlab/usage_data_counters/ipynb_diff_activity_counter_spec.rb'
    - 'spec/lib/gitlab/utils/usage_data_spec.rb'
    - 'spec/lib/gitlab/webpack/file_loader_spec.rb'
    - 'spec/lib/gitlab/webpack/manifest_spec.rb'
    - 'spec/lib/gitlab/x509/tag_sigstore_spec.rb'
    - 'spec/lib/gitlab/x509/tag_spec.rb'
    - 'spec/lib/gitlab_edition_spec.rb'
    - 'spec/lib/gitlab_spec.rb'
    - 'spec/lib/google_api/auth_spec.rb'
    - 'spec/lib/omni_auth/strategies/bitbucket_spec.rb'
    - 'spec/lib/sidebars/menu_spec.rb'
    - 'spec/lib/sidebars/panel_spec.rb'
    - 'spec/lib/sidebars/projects/super_sidebar_panel_spec.rb'
    - 'spec/lib/sidebars/your_work/menus/merge_requests_menu_spec.rb'
    - 'spec/mailers/emails/service_desk_spec.rb'
    - 'spec/migrations/20240510113339_finalize_backfill_epic_basic_fields_to_work_item_record_spec.rb'
    - 'spec/migrations/20240618093306_queue_fix_synced_epic_work_item_parent_links_spec.rb'
    - 'spec/models/badges/project_badge_spec.rb'
    - 'spec/models/ci/processable_spec.rb'
    - 'spec/models/commit_collection_spec.rb'
    - 'spec/models/commit_spec.rb'
    - 'spec/models/concerns/participable_spec.rb'
    - 'spec/models/concerns/require_email_verification_spec.rb'
    - 'spec/models/diff_viewer/base_spec.rb'
    - 'spec/models/integrations/chat_message/pipeline_message_spec.rb'
    - 'spec/models/issue_spec.rb'
    - 'spec/models/merge_request_diff_file_spec.rb'
    - 'spec/models/merge_request_diff_spec.rb'
    - 'spec/models/merge_request_spec.rb'
    - 'spec/models/project_spec.rb'
    - 'spec/models/push_event_spec.rb'
    - 'spec/models/repository_spec.rb'
    - 'spec/models/snippet_repository_spec.rb'
    - 'spec/models/user_spec.rb'
    - 'spec/policies/ci/build_policy_spec.rb'
    - 'spec/presenters/blob_presenter_spec.rb'
    - 'spec/presenters/ml/candidate_details_presenter_spec.rb'
    - 'spec/presenters/project_presenter_spec.rb'
    - 'spec/presenters/projects/security/configuration_presenter_spec.rb'
    - 'spec/presenters/search_service_presenter_spec.rb'
    - 'spec/presenters/user_presenter_spec.rb'
    - 'spec/requests/admin/background_migrations_controller_spec.rb'
    - 'spec/requests/api/admin/batched_background_migrations_spec.rb'
    - 'spec/requests/api/admin/broadcast_messages_spec.rb'
    - 'spec/requests/api/api_spec.rb'
    - 'spec/requests/api/applications_spec.rb'
    - 'spec/requests/api/bulk_imports_spec.rb'
    - 'spec/requests/api/graphql/container_repository/container_repository_details_spec.rb'
    - 'spec/requests/api/graphql/mutations/ml/model_versions/delete_spec.rb'
    - 'spec/requests/api/graphql/mutations/ml/models/delete_spec.rb'
    - 'spec/requests/api/graphql/mutations/ml/models/destroy_spec.rb'
    - 'spec/requests/api/group_export_spec.rb'
    - 'spec/requests/api/group_import_spec.rb'
    - 'spec/requests/api/helpers_spec.rb'
    - 'spec/requests/api/maven_packages_spec.rb'
    - 'spec/requests/api/search_spec.rb'
    - 'spec/requests/projects/google_cloud/databases_controller_spec.rb'
    - 'spec/requests/projects/google_cloud/service_accounts_controller_spec.rb'
    - 'spec/requests/projects/redirect_controller_spec.rb'
    - 'spec/requests/projects/service_desk_controller_spec.rb'
    - 'spec/requests/projects/wikis_controller_spec.rb'
    - 'spec/rubocop/cop/gitlab/mark_used_feature_flags_spec.rb'
    - 'spec/rubocop/cop/migration/add_limit_to_text_columns_spec.rb'
    - 'spec/rubocop/cop/migration/async_post_migrate_only_spec.rb'
    - 'spec/rubocop/cop/migration/remove_column_spec.rb'
    - 'spec/rubocop/cop/migration/sidekiq_queue_migrate_spec.rb'
    - 'spec/rubocop/cop/migration/unfinished_dependencies_spec.rb'
    - 'spec/rubocop/cop/qa/selector_usage_spec.rb'
    - 'spec/rubocop/migration_helpers_spec.rb'
    - 'spec/scripts/api/get_test_on_omnibus_job_spec.rb'
    - 'spec/scripts/database/schema_validator_spec.rb'
    - 'spec/scripts/download_downstream_artifact_spec.rb'
    - 'spec/scripts/generate_message_to_run_e2e_pipeline_spec.rb'
    - 'spec/scripts/pipeline_test_report_builder_spec.rb'
    - 'spec/scripts/setup/find-jh-branch_spec.rb'
    - 'spec/serializers/activity_pub/releases_outbox_serializer_spec.rb'
    - 'spec/serializers/base_discussion_entity_spec.rb'
    - 'spec/serializers/container_repository_entity_spec.rb'
    - 'spec/serializers/container_tag_entity_spec.rb'
    - 'spec/serializers/deployment_entity_spec.rb'
    - 'spec/serializers/detailed_status_entity_spec.rb'
    - 'spec/serializers/discussion_entity_spec.rb'
    - 'spec/serializers/environment_entity_spec.rb'
    - 'spec/serializers/linked_project_issue_entity_spec.rb'
    - 'spec/serializers/merge_request_widget_entity_spec.rb'
    - 'spec/serializers/merge_requests/pipeline_entity_spec.rb'
    - 'spec/serializers/project_note_entity_spec.rb'
    - 'spec/serializers/review_app_setup_entity_spec.rb'
    - 'spec/serializers/runner_entity_spec.rb'
    - 'spec/serializers/trigger_variable_entity_spec.rb'
    - 'spec/services/achievements/award_service_spec.rb'
    - 'spec/services/achievements/revoke_service_spec.rb'
    - 'spec/services/auto_merge/base_service_spec.rb'
    - 'spec/services/auto_merge/merge_when_checks_pass_service_spec.rb'
    - 'spec/services/base_count_service_spec.rb'
    - 'spec/services/bulk_imports/create_service_spec.rb'
    - 'spec/services/bulk_imports/get_importable_data_service_spec.rb'
    - 'spec/services/bulk_imports/process_service_spec.rb'
    - 'spec/services/bulk_imports/repository_bundle_export_service_spec.rb'
    - 'spec/services/ci/job_token_scope/remove_group_service_spec.rb'
    - 'spec/services/ci/list_config_variables_service_spec.rb'
    - 'spec/services/ci/pipeline_schedules/create_service_spec.rb'
    - 'spec/services/ci/pipeline_schedules/take_ownership_service_spec.rb'
    - 'spec/services/ci/pipeline_schedules/update_service_spec.rb'
    - 'spec/services/ci/pipeline_schedules/variables_create_service_spec.rb'
    - 'spec/services/ci/pipeline_schedules/variables_update_service_spec.rb'
    - 'spec/services/ci/register_job_service_spec.rb'
    - 'spec/services/ci/runners/reset_registration_token_service_spec.rb'
    - 'spec/services/click_house/sync_strategies/base_sync_strategy_spec.rb'
    - 'spec/services/cloud_seed/google_cloud/create_service_accounts_service_spec.rb'
    - 'spec/services/git/base_hooks_service_spec.rb'
    - 'spec/services/import/bitbucket_service_spec.rb'
    - 'spec/services/import/source_users/cancel_reassignment_service_spec.rb'
    - 'spec/services/import/source_users/keep_as_placeholder_service_spec.rb'
    - 'spec/services/import/source_users/reassign_service_spec.rb'
    - 'spec/services/import/source_users/reject_reassignment_service_spec.rb'
    - 'spec/services/issuable/import_csv/base_service_spec.rb'
    - 'spec/services/issues/relative_position_rebalancing_service_spec.rb'
    - 'spec/services/merge_requests/after_create_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_commits_status_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/check_lfs_file_locks_service_spec.rb'
    - 'spec/services/merge_requests/mergeability/run_checks_service_spec.rb'
    - 'spec/services/merge_requests/request_review_service_spec.rb'
    - 'spec/services/ml/create_model_version_service_spec.rb'
    - 'spec/services/notification_service_spec.rb'
    - 'spec/services/projects/import_export/relation_export_service_spec.rb'
    - 'spec/services/projects/import_service_spec.rb'
    - 'spec/services/projects/protect_default_branch_service_spec.rb'
    - 'spec/services/projects/update_pages_service_spec.rb'
    - 'spec/services/service_desk/custom_email_verifications/create_service_spec.rb'
    - 'spec/services/snippets/repository_validation_service_spec.rb'
    - 'spec/services/snippets/update_service_spec.rb'
    - 'spec/services/spam/spam_verdict_service_spec.rb'
    - 'spec/services/todos/snoozing_service_spec.rb'
    - 'spec/support/helpers/graphql_helpers.rb'
    - 'spec/support/helpers/lets_encrypt_helpers.rb'
    - 'spec/support/helpers/runner_releases_helper.rb'
    - 'spec/support/helpers/stub_object_storage.rb'
    - 'spec/support/import_export/common_util.rb'
    - 'spec/support/shared_examples/config/metrics/every_metric_definition_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/base_action_controller_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/concerns/integrations/integrations_actions_shared_examples.rb'
    - 'spec/support/shared_examples/features/wiki/user_updates_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/mutations/work_items/update_description_widget_shared_examples.rb'
    - 'spec/support/shared_examples/lib/email/email_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/sidekiq_middleware/strategy_shared_examples.rb'
    - 'spec/support/shared_examples/models/chat_integration_shared_examples.rb'
    - 'spec/support/shared_examples/redis/multi_store_wrapper_shared_examples.rb'
    - 'spec/support/shared_examples/redis/redis_shared_examples.rb'
    - 'spec/support/shared_examples/security/policies_shared_examples.rb'
    - 'spec/support/shared_examples/serializers/diff_file_entity_shared_examples.rb'
    - 'spec/support/shared_examples/services/repositories/housekeeping_shared_examples.rb'
    - 'spec/support/shared_examples/views/milestone_shared_examples.rb'
    - 'spec/support/shared_examples/workers/background_migration_worker_shared_examples.rb'
    - 'spec/tasks/admin_mode_spec.rb'
    - 'spec/tasks/gitlab/backup_rake_spec.rb'
    - 'spec/tasks/gitlab/db_rake_spec.rb'
    - 'spec/tasks/gitlab/incoming_email_rake_spec.rb'
    - 'spec/tasks/gitlab/ldap_rake_spec.rb'
    - 'spec/tasks/gitlab/redis_rake_spec.rb'
    - 'spec/tasks/gitlab/service_desk_email_rake_spec.rb'
    - 'spec/tasks/gitlab/smtp_rake_spec.rb'
    - 'spec/tasks/gitlab/tokens/manage_expiry_task_spec.rb'
    - 'spec/tooling/danger/ai_logging_spec.rb'
    - 'spec/tooling/danger/analytics_instrumentation_spec.rb'
    - 'spec/tooling/danger/ci_templates_spec.rb'
    - 'spec/tooling/danger/clickhouse_spec.rb'
    - 'spec/tooling/danger/config_files_spec.rb'
    - 'spec/tooling/danger/customer_success_spec.rb'
    - 'spec/tooling/danger/database_spec.rb'
    - 'spec/tooling/danger/datateam_spec.rb'
    - 'spec/tooling/danger/model_validations_spec.rb'
    - 'spec/tooling/danger/multiversion_spec.rb'
    - 'spec/tooling/danger/rubocop_helper_spec.rb'
    - 'spec/tooling/danger/settings_sections_spec.rb'
    - 'spec/tooling/danger/sidekiq_queues_spec.rb'
    - 'spec/tooling/danger/stable_branch_spec.rb'
    - 'spec/tooling/lib/tooling/helpers/predictive_tests_helper_spec.rb'
    - 'spec/tooling/lib/tooling/job_metrics_spec.rb'
    - 'spec/views/admin/dashboard/index.html.haml_spec.rb'
    - 'spec/views/admin/groups/_form.html.haml_spec.rb'
    - 'spec/views/admin/sessions/new.html.haml_spec.rb'
    - 'spec/views/dashboard/projects/shared/_common.html.haml_spec.rb'
    - 'spec/views/devise/registrations/_signup_box_form.html.haml_spec.rb'
    - 'spec/views/devise/registrations/new.html.haml_spec.rb'
    - 'spec/views/devise/sessions/new.html.haml_spec.rb'
    - 'spec/views/devise/shared/_tabs_ldap.haml_spec.rb'
    - 'spec/views/groups/edit.html.haml_spec.rb'
    - 'spec/views/groups/group_members/index.html.haml_spec.rb'
    - 'spec/views/groups/new.html.haml_spec.rb'
    - 'spec/views/groups/show.html.haml_spec.rb'
    - 'spec/views/help/index.html.haml_spec.rb'
    - 'spec/views/layouts/_head.html.haml_spec.rb'
    - 'spec/views/layouts/_page.html.haml_spec.rb'
    - 'spec/views/layouts/application.html.haml_spec.rb'
    - 'spec/views/layouts/group.html.haml_spec.rb'
    - 'spec/views/layouts/organization.html.haml_spec.rb'
    - 'spec/views/layouts/profile.html.haml_spec.rb'
    - 'spec/views/layouts/project.html.haml_spec.rb'
    - 'spec/views/members/access_denied_mailer/email.html.haml_spec.rb'
    - 'spec/views/members/access_denied_mailer/email.text.erb_spec.rb'
    - 'spec/views/projects/_issue.html.haml_spec.rb'
    - 'spec/views/projects/commit/_commit_box.html.haml_spec.rb'
    - 'spec/views/projects/commit/show.html.haml_spec.rb'
    - 'spec/views/projects/commits/show.html.haml_spec.rb'
    - 'spec/views/projects/empty.html.haml_spec.rb'
    - 'spec/views/projects/hooks/edit.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/creations/_new_submit.html.haml_spec.rb'
    - 'spec/views/projects/merge_requests/edit.html.haml_spec.rb'
    - 'spec/views/projects/project_members/index.html.haml_spec.rb'
    - 'spec/views/projects/runners/_project_runners.html.haml_spec.rb'
    - 'spec/views/projects/settings/operations/show.html.haml_spec.rb'
    - 'spec/views/projects/settings/repository/_protected_branches.html.haml_spec.rb'
    - 'spec/views/projects/tags/index.html.haml_spec.rb'
    - 'spec/views/projects/tree/show.html.haml_spec.rb'
    - 'spec/views/shared/_broadcast_message.html.haml_spec.rb'
    - 'spec/views/shared/projects/_list.html.haml_spec.rb'
    - 'spec/views/shared/projects/_project_card.html.haml_spec.rb'
    - 'spec/views/user_settings/ssh_keys/_key.html.haml_spec.rb'
    - 'spec/workers/bulk_imports/pipeline_worker_spec.rb'
    - 'spec/workers/concerns/application_worker_spec.rb'
    - 'spec/workers/concerns/limited_capacity/worker_spec.rb'
    - 'spec/workers/container_expiration_policies/cleanup_container_repository_worker_spec.rb'
    - 'spec/workers/integrations/irker_worker_spec.rb'
    - 'spec/workers/namespaces/prune_aggregation_schedules_worker_spec.rb'
    - 'spec/workers/project_cache_worker_spec.rb'
    - 'spec/workers/projects/git_garbage_collect_worker_spec.rb'
